Package org.apache.juneau.marshall.urlencoding
package org.apache.juneau.marshall.urlencoding
URL-Encoding Marshalling Support
-
ClassDescriptionAnnotation that can be applied to classes, fields, and methods to tweak how they are handled by
UrlEncodingSerializerandUrlEncodingParser.Utility classes and methods for the@UrlEncodingannotation.Builder class.Dynamically applies a@UrlEncodingannotation to specified classes, methods, or fields.A collection of@UrlEncodingApply annotations.Utility classes and methods for the@UrlEncodingApplyannotation.Applies targetedUrlEncodingApplyannotations to aContext.Builder.Builder class.Metadata on bean properties specific to the URL-Encoding serializers and parsers pulled from the@UrlEncodingannotation on the bean property.Metadata on classes specific to the URL-Encoding serializers and parsers pulled from the@UrlEncodingannotation on the class.Annotation for specifying config properties defined inUrlEncodingSerializerandUrlEncodingParser.Utility classes and methods for the@UrlEncodingConfigannotation.AppliesUrlEncodingConfigannotations to aUrlEncodingParser.Builder.AppliesUrlEncodingConfigannotations to aUrlEncodingSerializer.Builder.Interface for providing access toUrlEncodingClassMetaandUrlEncodingBeanPropertyMetaobjects.Parses URL-encoded text into POJO models.Builder class.Session object that lives for the duration of a single use ofUrlEncodingParser.Builder class.Serializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).Builder class.Equivalent toUrlEncodingSerializer..create ().expandedParams().build();Equivalent toUrlEncodingSerializer..create ().plainTextParts().build();Equivalent toUrlEncodingSerializer..create ().useWhitespace().build();Session object that lives for the duration of a single use ofUrlEncodingSerializer.Builder class.